import { IConstruct } from 'constructs';
import { TableBucketAttributes } from './table-bucket';
export declare const S3_TABLES_SERVICE = "s3tables";
export declare function parseTableBucketArn(construct: IConstruct, props: TableBucketAttributes): string;
export declare function parseTableBucketName(construct: IConstruct, props: TableBucketAttributes): string;
export declare function parseTableBucketRegion(construct: IConstruct, props: TableBucketAttributes): string | undefined;
export declare function parseTableBucketAccount(construct: IConstruct, props: TableBucketAttributes): string | undefined;
/**
 * @returns populated attributes from given scope and attributes
 * @throws ValidationError if any of the required attribures are missing
 */
export declare function validateTableBucketAttributes(construct: IConstruct, props: TableBucketAttributes): {
    tableBucketName: string;
    account: string | undefined;
    region: string | undefined;
    tableBucketArn: string;
};
